aboutsummaryrefslogtreecommitdiff
path: root/bugs-fixed/REGRESS
diff options
context:
space:
mode:
Diffstat (limited to 'bugs-fixed/REGRESS')
-rwxr-xr-xbugs-fixed/REGRESS28
1 files changed, 28 insertions, 0 deletions
diff --git a/bugs-fixed/REGRESS b/bugs-fixed/REGRESS
new file mode 100755
index 0000000..0716003
--- /dev/null
+++ b/bugs-fixed/REGRESS
@@ -0,0 +1,28 @@
+#! /bin/bash
+
+if [ ! -f ../a.out ]
+then
+ echo Making executable
+ (cd .. ; make) || exit 0
+fi
+
+for i in *.awk
+do
+ echo === $i
+ OUT=${i%.awk}.OUT
+ OK=${i%.awk}.ok
+ IN=${i%.awk}.in
+ input=
+ if [ -f $IN ]
+ then
+ input=$IN
+ fi
+
+ ../a.out -f $i $input > $OUT 2>&1
+ if cmp -s $OK $OUT
+ then
+ rm -f $OUT
+ else
+ echo ++++ $i failed!
+ fi
+done